#include<stdlib.h>
#include<stdio.h>
#include"graphes.h"

// ajouter un arc non orienté = ajouter un arc et son symétrique
void ajouterArcNO(graphe *g, int a, int b, int poids)
{
	if (a==b)
		printf("Attention : Les arcs d'un sommet vers lui-même ne sont pas autorisés pour les arbres non orientés. L'arc entre %d et %d ne sera donc pas ajouté.\n\n", a, b);
	else
	{
		ajouterArc(g, a, b, poids);
		ajouterArc(g, b, a, poids);
	}
}


int main()
{
	graphe g;
	int i;

	system("clear");

	printf("\n");
	printf("Implementation de graphes\n");
	printf("=========================\n\n");

	printf("Création d'un graphe...\n\n");	

	// créer le graphe
	initialiserGraphe(&g);
	for (i=1; i<=4; i++) ajouterSommet(&g,0);
	ajouterArcNO(&g,1,2,1); 
	ajouterArcNO(&g,1,4,4);
	ajouterArcNO(&g,2,2,2); // tentative d'ajout d'un arc vers-lui-même
	ajouterArcNO(&g,2,3,3);
 	
	afficherGraphe(&g); 
 	
	printf("NB : Pour un graphe non orienté, les arcs sont comptés deux fois (voir nbA).\n\n");

	supprimerGraphe(&g);
	
	return 0;
}
