#include<stdlib.h>
#include<stdio.h>
#include<stdbool.h>

#include "algoKruskal.h"
#include "graphes.h"
#include "graphesAleatoires.h"

int main() {
  graphe g;
  graphe h;

  system("clear");

  printf("\n");
  printf("Implementation de graphes\n");
  printf("=========================\n\n");

  printf("Création d'un graphe...\n\n");	

  // créer le graphe
  initialiserGraphe(&g);
  genererGraphe(&g, 3, 4, 1);
  initialiserGraphe(&h);
    
  afficherGraphe(&g);
  if (estAcyclique(&g) == 0) {
    printf("Graphe acyclique.\n");
  }
  else {
    printf("Graphe cyclique.\n");
  }
  
  algoKruskal(&g, &h); 
  
  afficherGraphe(&h);
  
  supprimerGraphe(&g);
  supprimerGraphe(&h);
  
  return 0;
}

